Bug 417956 - Kamoso has an extra hamburger button on the left side of its toolbar
Summary: Kamoso has an extra hamburger button on the left side of its toolbar
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kirigami
Classification: Unclassified
Component: general (show other bugs)
Version: Master
Platform: Other Linux
: NOR normal (vote)
Target Milestone: Not decided
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-20 22:27 UTC by Nate Graham
Modified: 2020-03-14 20:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.69


Attachments
Extra hamburger button on the left side (55.62 KB, image/png)
2020-02-20 22:27 UTC, Nate Graham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2020-02-20 22:27:31 UTC
Created attachment 126235 [details]
Extra hamburger button on the left side

The button does nothing when clicked. Nothing changed in Kamoso recently, so this seems like a Kirigami regression.
Comment 1 Nicolas Fella 2020-03-14 19:13:00 UTC
Git commit 4d84d3f1d93fe7cc7db7530d13094a48745ef59c by Nicolas Fella.
Committed on 14/03/2020 at 19:13.
Pushed by nicolasfella into branch 'master'.

Fix undefined check in global drawer menu mode

Summary:
Kamoso uses Overlaydrawer instead of GlobalDrawer, which has no isMenu property

Test Plan: Kamoso doesn't have an empty second hamburger button any more

Reviewers: #kirigami, mart, ngraham

Reviewed By: #kirigami, ngraham

Subscribers: apol, ngraham, plasma-devel

Tags: #kirigami

Differential Revision: https://phabricator.kde.org/D27996

M  +1    -1    src/controls/private/globaltoolbar/PageRowGlobalToolBarUI.qml

https://commits.kde.org/kirigami/4d84d3f1d93fe7cc7db7530d13094a48745ef59c